FROM tiangolo/uvicorn-gunicorn:python3.8-slim

LABEL maintainer="Ganjar Setia <ganjar.setia@gmail.com>"

WORKDIR /main

RUN \
  apt-get update && \
  apt-get install -yqq apt-transport-https wget gnupg2

RUN \
  echo "deb https://deb.nodesource.com/node_12.x buster main" > /etc/apt/sources.list.d/nodesource.list && \
  wget -qO- https://deb.nodesource.com/gpgkey/nodesource.gpg.key | apt-key add - && \
  echo "deb https://dl.yarnpkg.com/debian/ stable main" > /etc/apt/sources.list.d/yarn.list && \
  wget -qO- https://dl.yarnpkg.com/debian/pubkey.gpg | apt-key add - && \
  apt-get update && \
  apt-get install -yqq nodejs yarn

RUN pip install --upgrade pip

COPY src/requirements.txt requirements.txt
COPY src/package.json package.json
COPY src/yarn.lock yarn.lock
RUN pip install --no-cache-dir -r requirements.txt
RUN yarn

COPY . .

CMD [ "uvicorn", "src.app.main:app", "--workers" , "1" , "--host", "0.0.0.0", "--port","8000" ]
